Module javafx.base
Package javafx.util.converter

# Class NumberStringConverter

java.lang.Object
javafx.util.StringConverter<Number>
javafx.util.converter.NumberStringConverter

Direct Known Subclasses:
  `CurrencyStringConverter`, `PercentageStringConverter`

    public class NumberStringConverter
    extends StringConverter<Number>

A `StringConverter` implementation for `Number` values. Instances of this class are immutable.

Since:
  JavaFX 2.1

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `NumberStringConverter()` | Constructs a `NumberStringConverter` with the default locale and format.
  `NumberStringConverter​(String pattern)` | Constructs a `NumberStringConverter` with the default locale and the given decimal format pattern.
  `NumberStringConverter​(NumberFormat numberFormat)` | Constructs a `NumberStringConverter` with the given number format.
  `NumberStringConverter​(Locale locale)` | Constructs a `NumberStringConverter` with the given locale and the default format.
  `NumberStringConverter​(Locale locale, String pattern)` | Constructs a `NumberStringConverter` with the given locale and decimal format pattern.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected NumberFormat` | `getNumberFormat()` | Returns a `NumberFormat` instance to use for formatting and parsing in this `StringConverter`.

  ### Methods declared in class javafx.util.StringConverter

  `fromString, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NumberStringConverter

    public NumberStringConverter()
    Constructs a `NumberStringConverter` with the default locale and format.

  - ### NumberStringConverter

    public NumberStringConverter​(Locale locale)
    Constructs a `NumberStringConverter` with the given locale and the default format.
    Parameters:
      `locale` - the locale used in determining the number format used to format the string

  - ### NumberStringConverter

    public NumberStringConverter​(String pattern)
    Constructs a `NumberStringConverter` with the default locale and the given decimal format pattern.
    Parameters:
      `pattern` - the string pattern used in determining the number format used to format the string
    See Also:
      `DecimalFormat`

  - ### NumberStringConverter

    public NumberStringConverter​(Locale locale, String pattern)
    Constructs a `NumberStringConverter` with the given locale and decimal format pattern.
    Parameters:
      `locale` - the locale used in determining the number format used to format the string
      `pattern` - the string pattern used in determining the number format used to format the string
    See Also:
      `DecimalFormat`

  - ### NumberStringConverter

    public NumberStringConverter​(NumberFormat numberFormat)
    Constructs a `NumberStringConverter` with the given number format.
    Parameters:
      `numberFormat` - the number format used to format the string

- ## Method Details

  - ### getNumberFormat

    protected NumberFormat getNumberFormat()
    Returns a `NumberFormat` instance to use for formatting and parsing in this `StringConverter`.
    Returns:
      a `NumberFormat` instance for formatting and parsing in this `StringConverter`